export class SourceBase {
    constructor() {
        this.mCoverPath = "";
        this.mTitle = "";
        this.mQuality = "";
        this.mForceQuality = false;
        this.nativeGetCoverPath = () => {
            return this.mCoverPath;
        };
        this.nativeSetCoverPath = (g41) => {
            this.mCoverPath = g41;
        };
        this.nativeGetTitle = () => {
            return this.mTitle;
        };
        this.nativeSetTitle = (f41) => {
            this.mTitle = f41;
        };
        this.nativeGetQuality = () => {
            return this.mQuality;
        };
        this.nativeIsForceQuality = () => {
            return this.mForceQuality;
        };
    }
    getCoverPath() {
        return this.mCoverPath;
    }
    setCoverPath(y40) {
        this.mCoverPath = y40;
    }
    getTitle() {
        return this.mTitle;
    }
    setTitle(x40) {
        this.mTitle = x40;
    }
    getQuality() {
        return this.mQuality;
    }
    isForceQuality() {
        return this.mForceQuality;
    }
}
